 program createCGNS


      include 'cgnslib_f.h'
      real*8 x(200,60),y(200,60),z(200,60)
      dimension isize(3,3)
      character basename*32,zonename*32
!   create gridpoints:
open(unit=1,file='COORDS.TXT')
      ni=200
      nj=60
        do j=1,nj
          do i=1,ni
            read(1,*)x(i,j),y(i,j)
            z(i,j)=0.0
          enddo
        enddo
close(1)

!   WRITE X, Y, Z GRID POINTS TO CGNS FILE
!   open CGNS file for write
      call cg_open_f('grid.cgns',MODE_WRITE,index_file,ier)
!   create base (user can give any name)
      basename='Base'
      icelldim=3
      iphysdim=3
      call cg_base_write_f(index_file,basename,icelldim,iphysdim,&
     & index_base,ier)
!   define zone name (user can give any name)
      zonename = 'Zone  1'
!   vertex size
      isize(1,1)=200
      isize(2,1)=60
      isize(3,1)=0
!   cell size
      isize(1,2)=isize(1,1)-1
      isize(2,2)=isize(2,1)-1
      isize(3,2)=isize(3,1)-1
!   boundary vertex size (always zero for structured grids)
      isize(1,3)=0
      isize(2,3)=0
      isize(3,3)=0   
!   create zone
      call cg_zone_write_f(index_file,index_base,zonename,isize,&
     & Structured,index_zone,ier)
!   write grid coordinates (user must use SIDS-standard names here)
      call cg_coord_write_f(index_file,index_base,index_zone,RealDouble,&
     & 'CoordinateX',x,index_coord,ier)
      call cg_coord_write_f(index_file,index_base,index_zone,RealDouble,&
     & 'CoordinateY',y,index_coord,ier)
      call cg_coord_write_f(index_file,index_base,index_zone,RealDouble,&
     & 'CoordinateZ',z,index_coord,ier)
!   close CGNS file
      call cg_close_f(index_file,ier)
      write(6,'('' Successfully wrote grid to file grid.cgns'')')
      stop

end
